Bug 458180 - Review Request: mailutils - Collection of GNU mail-related utilities
Review Request: mailutils - Collection of GNU mail-related utilities
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
: mailutils-review (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-06 17:24 EDT by Rakesh Pandit
Modified: 2013-02-20 04:11 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-17 07:15:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rakesh Pandit 2008-08-06 17:24:29 EDT
Description:
Mailutils is a GNU implementation of various mail-handling utilities.
This package offers basic Mailutils tools including SMTP and local
delivery agents.

SPEC: http://rakesh.fedorapeople.org/spec/mailutils.spec
SRPM: http://rakesh.fedorapeople.org/srpm/mailutils-1.2-2.fc9.src.rpm
Comment 1 Till Maas 2008-08-08 17:01:20 EDT
Instead of the massive amount of %defines at the beginning of the spec, you can afaik use macros like
%bcond_with
%bcond_without

It is documented in
/usr/lib/rpm/macros


Afaics, every subpackage requires the -libs and the -docs subpackage and the -docs subpackage. The -docs subpackage does not seem to be very big, therefore imho it should be merged into the -libs package.

This line should be removed from the spec:
#rm %{_datadir}/guile/site/mailutils/guile-procedures.txt
Comment 3 Rakesh Pandit 2008-08-23 10:35:46 EDT
Till if free sometime ... you may like to help with an unofficial detailed review(if not official) to get this going. Just a request :-)
Comment 4 Rakesh Pandit 2008-09-29 08:06:13 EDT
Anyone interested to review this one ? It is long pending, thanks
Comment 5 Patrice Dumas 2008-09-29 08:56:59 EDT
*** Bug 244346 has been marked as a duplicate of this bug. ***
Comment 6 Patrice Dumas 2008-09-29 08:59:45 EDT
I am interested in reviewing it, but I am very short on time these days.
In the mean time, you can have a look at the previous submisison I just
marked as a duplicate of this one, and pick what makes sense.
Comment 7 Patrice Dumas 2008-09-29 09:01:05 EDT
(In reply to comment #6)
> In the mean time, you can have a look at the previous submisison I just
> marked as a duplicate of this one, and pick what makes sense.

Scratch it, looks like you already used Lubomir last spec to start with...
Comment 8 Rakesh Pandit 2008-09-29 09:03:25 EDT
yes, thanks for updating about old review. :-) I have build on that review already after requesting to Lubomir to give his latest spec

Thanks
Comment 9 Patrice Dumas 2008-10-12 06:19:30 EDT
The conditionals are not used correctly. It should be along
bcond_with ltdl
and then in the configure invocation conditionals should be used.

Also it seems to me that these should be mostly bcond_without
since in the default case you want these features to be used.
Comment 10 Rakesh Pandit 2008-12-04 06:36:23 EST
Aah! It slipped out of my mind. I will get back to it this weekend, Patrice thanks for reminding, this was important.
Comment 11 Jason Tibbitts 2008-12-21 16:12:53 EST
Please clear the whiteboard when this is ready for a review.
Comment 12 Rakesh Pandit 2009-03-17 07:15:55 EDT
I am not interested taking it up soon. Will take it up sometime again if not taken up by somebody before me.
Comment 13 Till Maas 2009-08-04 14:56:20 EDT
I am preparing a package, does someone still have the patch mentioned in the spec?
Comment 14 Pavel Raiskup 2013-02-20 03:52:27 EST
(In reply to comment #13)
> I am preparing a package, does someone still have the patch mentioned in the
> spec?

Hi Till, how this continues?  Are you still interested in packaging?

Pavel
Comment 15 Till Maas 2013-02-20 04:11:44 EST
(In reply to comment #14)
> (In reply to comment #13)
> > I am preparing a package, does someone still have the patch mentioned in the
> > spec?
> 
> Hi Till, how this continues?  Are you still interested in packaging?

No, I do not need it anymore.

Note You need to log in before you can comment on or make changes to this bug.